Struct LlmRequest
Generated from cargo doc --no-deps -p nemo-relay-builtins -p nemo-relay-diagnostics -p nemo-relay-logging -p nemo-relay-plugin-host -p nemo-relay-codecs -p nemo-relay -p nemo-relay-runtime -p nemo-relay-model-pricing -p nemo-relay-resource-metrics -p nemo-relay-observability -p nemo-relay-adaptive -p nemo-relay-pii-redaction -p nemo-relay-ffi -p nemo-relay-types -p nemo-relay-plugin -p nemo-relay-worker-proto -p nemo-relay-worker.
pub struct LlmRequest {
pub headers: Option<JsonObject>,
pub content: Option<JsonValue>,
}
Headers and content are required; content remains provider-owned JSON.
Fields
headers: Option<JsonObject>
Provider-specific request headers.
content: Option<JsonValue>
Provider-specific request body.
Trait Implementations
impl Clone for LlmRequest
impl Clone for LlmRequest
clone
fn clone(&self) -> LlmRequest
clone_from
fn clone_from(&mut self, source: &Self)
impl Debug for LlmRequest
impl Debug for LlmRequest
fmt
fn fmt(&self, f: &mut Formatter<'_>) -> Result
impl Default for LlmRequest
impl Default for LlmRequest
default
fn default() -> Self
impl Message for LlmRequest
impl Message for LlmRequest
encoded_len
fn encoded_len(&self) -> usize
clear
fn clear(&mut self)
encode
fn encode(&self, buf: &mut impl BufMut) -> Result<(), EncodeError>where
Self: Sized,
encode_to_vec
fn encode_to_vec(&self) -> Vec<u8> where
Self: Sized,
encode_length_delimited
fn encode_length_delimited(
&self,
buf: &mut impl BufMut,
) -> Result<(), EncodeError>where
Self: Sized,
encode_length_delimited_to_vec
fn encode_length_delimited_to_vec(&self) -> Vec<u8> where
Self: Sized,
decode
fn decode(buf: impl Buf) -> Result<Self, DecodeError>where
Self: Default,
decode_length_delimited
fn decode_length_delimited(buf: impl Buf) -> Result<Self, DecodeError>where
Self: Default,
merge
fn merge(&mut self, buf: impl Buf) -> Result<(), DecodeError>where
Self: Sized,
merge_length_delimited
fn merge_length_delimited(&mut self, buf: impl Buf) -> Result<(), DecodeError>where
Self: Sized,
impl Name for LlmRequest
impl Name for LlmRequest
NAME
const NAME: &'static str = "LlmRequest"
PACKAGE
const PACKAGE: &'static str = "nvidia.nemo.relay.worker.v1"
full_name
fn full_name() -> String
type_url
fn type_url() -> String
impl PartialEq for LlmRequest
impl PartialEq for LlmRequest
eq
fn eq(&self, other: &LlmRequest) -> bool
ne
fn ne(&self, other: &Rhs) -> bool
impl WireValue<LlmRequest> for LlmRequest
impl WireValue<LlmRequest> for LlmRequest
to_wire
fn to_wire(self) -> Result<LlmRequest>
from_wire
fn from_wire(value: LlmRequest) -> Result<Self>
impl StructuralPartialEq for LlmRequest
impl StructuralPartialEq for LlmRequest